OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ARB.ShaderSubroutine

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBShaderSubroutine :: MonadIO m => m Bool
- gl_ARB_shader_subroutine :: Bool
- pattern GL_ACTIVE_SUBROUTINES :: GLenum
- pattern GL_ACTIVE_SUBROUTINE_MAX_LENGTH :: GLenum
- pattern GL_ACTIVE_SUBROUTINE_UNIFORMS :: GLenum
- pattern GL_ACTIVE_SUBROUTINE_UNIFORM_LOCATIONS :: GLenum
- pattern GL_ACTIVE_SUBROUTINE_UNIFORM_MAX_LENGTH :: GLenum
- pattern GL_COMPATIBLE_SUBROUTINES :: GLenum
- pattern GL_MAX_SUBROUTINES :: GLenum
- pattern GL_MAX_SUBROUTINE_UNIFORM_LOCATIONS :: GLenum
- pattern GL_NUM_COMPATIBLE_SUBROUTINES :: GLenum
- pattern GL_UNIFORM_NAME_LENGTH :: GLenum
- pattern GL_UNIFORM_SIZE :: GLenum
- glGetActiveSubroutineName :: MonadIO m => GLuint -> GLenum -> GLuint -> GLsizei -> Ptr GLsizei -> Ptr GLchar -> m ()
- glGetActiveSubroutineUniformName :: MonadIO m => GLuint -> GLenum -> GLuint -> GLsizei -> Ptr GLsizei -> Ptr GLchar -> m ()
- glGetActiveSubroutineUniformiv :: MonadIO m => GLuint -> GLenum -> GLuint -> GLenum -> Ptr GLint -> m ()
- glGetProgramStageiv :: MonadIO m => GLuint -> GLenum -> GLenum -> Ptr GLint -> m ()
- glGetSubroutineIndex :: MonadIO m => GLuint -> GLenum -> Ptr GLchar -> m GLuint
- glGetSubroutineUniformLocation :: MonadIO m => GLuint -> GLenum -> Ptr GLchar -> m GLint
- glGetUniformSubroutineuiv :: MonadIO m => GLenum -> GLint -> Ptr GLuint -> m ()
- glUniformSubroutinesuiv :: MonadIO m => GLenum -> GLsizei -> Ptr GLuint -> m ()

# Extension Support

glGetARBShaderSubroutine :: MonadIO m => m Bool Source #

Is the ARB_shader_subroutine extension supported?

gl_ARB_shader_subroutine :: Bool Source #

Is the ARB_shader_subroutine extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBShaderSubroutine` in those cases instead.

# Enums

pattern GL_ACTIVE_SUBROUTINES :: GLenum Source #

pattern GL_ACTIVE_SUBROUTINE_MAX_LENGTH :: GLenum Source #

pattern GL_ACTIVE_SUBROUTINE_UNIFORMS :: GLenum Source #

pattern GL_ACTIVE_SUBROUTINE_UNIFORM_LOCATIONS :: GLenum Source #

pattern GL_ACTIVE_SUBROUTINE_UNIFORM_MAX_LENGTH :: GLenum Source #

pattern GL_COMPATIBLE_SUBROUTINES :: GLenum Source #

pattern GL_MAX_SUBROUTINES :: GLenum Source #

pattern GL_MAX_SUBROUTINE_UNIFORM_LOCATIONS :: GLenum Source #

pattern GL_NUM_COMPATIBLE_SUBROUTINES :: GLenum Source #

pattern GL_UNIFORM_NAME_LENGTH :: GLenum Source #

pattern GL_UNIFORM_SIZE :: GLenum Source #

# Functions

glGetActiveSubroutineName Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLenum | `shadertype` of type ShaderType.
-> GLuint | `index`.
-> GLsizei | `bufSize`.
-> Ptr GLsizei | `length` pointing to `1` element of type `GLsizei`.
-> Ptr GLchar | `name` pointing to `bufSize` elements of type `GLchar`.
-> m () |

Manual page for OpenGL 4.x.

glGetActiveSubroutineUniformName Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLenum | `shadertype` of type ShaderType.
-> GLuint | `index`.
-> GLsizei | `bufSize`.
-> Ptr GLsizei | `length` pointing to `1` element of type `GLsizei`.
-> Ptr GLchar | `name` pointing to `bufSize` elements of type `GLchar`.
-> m () |

Manual page for OpenGL 4.x.

glGetActiveSubroutineUniformiv Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLenum | `shadertype` of type ShaderType.
-> GLuint | `index`.
-> GLenum | `pname` of type SubroutineParameterName.
-> Ptr GLint | `values` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

Manual page for OpenGL 4.x.

glGetProgramStageiv Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLenum | `shadertype` of type ShaderType.
-> GLenum | `pname` of type ProgramStagePName.
-> Ptr GLint | `values` pointing to `1` element of type `GLint`.
-> m () |

Manual page for OpenGL 4.x.

glGetSubroutineIndex Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLenum | `shadertype` of type ShaderType.
-> Ptr GLchar | `name`.
-> m GLuint |

Manual page for OpenGL 4.x.

glGetSubroutineUniformLocation Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLenum | `shadertype` of type ShaderType.
-> Ptr GLchar | `name`.
-> m GLint |

Manual page for OpenGL 4.x.

glGetUniformSubroutineuiv Source #

Arguments

:: MonadIO m |
=> GLenum | `shadertype` of type ShaderType.
-> GLint | `location`.
-> Ptr GLuint | `params` pointing to `1` element of type `GLuint`.
-> m () |

Manual page for OpenGL 4.x.

glUniformSubroutinesuiv Source #

Arguments

:: MonadIO m |
=> GLenum | `shadertype` of type ShaderType.
-> GLsizei | `count`.
-> Ptr GLuint | `indices` pointing to `count` elements of type `GLuint`.
-> m () |

Manual page for OpenGL 4.x.